import request from '@/utils/request'

// 查询专利授权导入列表
export function listDPatentAuthInfo(query) {
  return request({
    url: '/dimp/dPatentAuthInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权导入详细
export function getDPatentAuthInfo(id) {
  return request({
    url: '/dimp/dPatentAuthInfo/' + id,
    method: 'get'
  })
}

// 新增专利授权导入
export function addDPatentAuthInfo(data) {
  return request({
    url: '/dimp/dPatentAuthInfo',
    method: 'post',
    data: data
  })
}

// 修改专利授权导入
export function updateDPatentAuthInfo(data) {
  return request({
    url: '/dimp/dPatentAuthInfo',
    method: 'put',
    data: data
  })
}

// 删除专利授权导入
export function delDPatentAuthInfo(id) {
  return request({
    url: '/dimp/dPatentAuthInfo/' + id,
    method: 'delete'
  })
}
